Cyberduck Mountain Duck CLI

#10824 closed enhancement (fixed)

Deprecated path-style request usage for AWS GovCloud

Reported by: Perlence Owned by:
Priority: normal Milestone: 7.2
Component: s3 Version: 7.1
Severity: normal Keywords:
Cc: Architecture:
Platform:

Description

The old-style addressing will be deprecated:

Support for the path-style model continues for buckets created on or before September 30, 2020. Buckets created after that date must be referenced using the virtual-hosted model. -- https://aws.amazon.com/blogs/aws/amazon-s3-path-deprecation-plan-the-rest-of-the-story/

Does Cyberduck support the new virtual-hosted style addressing? As far as I understand, DNS buckets are disabled for all S3 host names that don't end with s3.amazonaws.com, for example GovCloud S3.

Change History (10)

comment:1 Changed on Oct 5, 2019 at 12:20:43 PM by dkocher

  • Resolution set to worksforme
  • Status changed from new to closed
  • Version set to 7.1

We do not use the path-style API.

comment:2 Changed on Oct 5, 2019 at 12:29:10 PM by Perlence

Is that true that when I put the bucket name into the Path field it's translated to virtual-host API? Across all regions? I ask because when I check the logs in the Log Drawer I see the requests like GET /{bucket}/?encoding-type=url&max-keys=... The host is s3.us-gov-east-1.amazonaws.com.

Last edited on Oct 5, 2019 at 12:33:49 PM by Perlence (previous) (diff)

comment:3 Changed on Oct 5, 2019 at 1:20:10 PM by dkocher

  • Resolution worksforme deleted
  • Status changed from closed to reopened

We use the path-style API in this case because the endpoint is not s3.amazonaws.com.

comment:4 Changed on Oct 5, 2019 at 1:20:33 PM by dkocher

  • Summary changed from Path-style model deprecation to Path-style request usage for AWS GovCloud

comment:5 Changed on Oct 5, 2019 at 1:20:46 PM by dkocher

  • Summary changed from Path-style request usage for AWS GovCloud to Deprecated path-style request usage for AWS GovCloud
  • Type changed from defect to enhancement

comment:6 Changed on Nov 19, 2019 at 8:29:40 PM by dkocher

  • Milestone set to 7.1.3

comment:7 Changed on Nov 21, 2019 at 5:12:43 PM by dkocher

  • Resolution set to fixed
  • Status changed from reopened to closed

In r48152.

comment:8 Changed on Nov 22, 2019 at 9:36:20 AM by dkocher

  • Milestone changed from 7.1.3 to 7.2

Milestone renamed

comment:9 follow-up: Changed on Jan 6, 2020 at 6:28:39 PM by dimm00

Access to Ceph S3 is broken now.. Ceph doesn't support virtual-hosted style Is there a chance to add an option for choosing the style?

comment:10 in reply to: ↑ 9 Changed on Jan 7, 2020 at 9:44:13 AM by dkocher

Replying to dimm00:

Access to Ceph S3 is broken now.. Ceph doesn't support virtual-hosted style Is there a chance to add an option for choosing the style?

Duplicate for #10888. Please comment there if you are still having issues. If possible provide a temporary test account.

Note: See TracTickets for help on using tickets.
swiss made software